atomic Namespace Reference

Atomic set, clear, change, or get bit in a register. More...

## Functions

template<typename T >
void | setBitFlag (volatile T &reg, T flag)
template<typename T >
void | clearBitFlag (volatile T &reg, T flag)
template<typename T >
void | changeBitFlag (volatile T &reg, T flag, T state)
template<typename T >
volatile bool | getBitFlag (volatile T &reg, T flag)

## Detailed Description

Atomic set, clear, change, or get bit in a register.